Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159792 - rpmbuild doesnt like -F1
Summary: rpmbuild doesnt like -F1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 00:03 UTC by Dave Jones
Modified: 2015-01-04 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-12 16:15:08 UTC


Attachments (Terms of Use)

Description Dave Jones 2005-06-08 00:03:10 UTC
I'd like to force all patches in the kernel spec to apply with -F1, as I've had
patches that have applied with the default fuzz factor which have done
completely the wrong thing.

Currently, adding

%patch1 -p1 -F1

causes rpmbuild to break

Comment 1 Jeff Johnson 2005-06-08 09:31:56 UTC
Use patch directly then. E.g.
    %patch1 -p1 -F1
should be written as
    patch -p1 -F1 < %{PATCH1}

It's just a steenking script ...

Comment 2 Dave Jones 2005-06-09 03:33:35 UTC
That makes for awfully cluttered spec files when you have a lot of patches applied


Comment 3 Jeff Johnson 2005-06-09 03:42:11 UTC
So write a script that applies patches, add to the Source: list,
and run that script like
   Source123: mypatchapplier
...
    %{SOURCE123}

It's just a steenking script ...

Comment 4 Jeff Johnson 2005-06-09 03:44:32 UTC
Pardon
    sh %{SOURCE123}

And its's still a steenking script, just withou execute bits ;-)

Comment 5 Dave Jones 2005-06-09 03:51:38 UTC
That's a lot of hoop jumping to work around something that should be a trivial
change to rpmbuild.

Comment 6 Jeff Johnson 2005-06-09 04:11:06 UTC
Changing the source code to add an option is trivial.

Introducing an incompatibility in builds -- particularly for kernel --
forces a non-trivial deployment of rpm.

"Clutter" (at least by metric no. of bytes) can be addressed by writing a macro
something like
    %define mpF  patch -p1 -F1
to be used as
    %mpF < %PATCH1
to remove "clutter".

Comment 7 Jeff Johnson 2006-02-12 16:15:08 UTC
I don't believe that adding -F1 to %patch in rpmbuild is a sound idea.


Note You need to log in before you can comment on or make changes to this bug.